petsc-3.4.2 2013-07-02

# PetscHMPIFree

Frees a "c struct" on all nodes of an HMPI communicator

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscHMPIFree(MPI_Comm comm,void *ptr)

Collective on MPI_Comm

### Input Parameters

| comm | - Must be PETSC_COMM_LOCAL_WORLD
| ptr | - pointer to data to be freed, must have been obtained with PetscHMPIMalloc()

Developer Notes: Since comm must be PETSC_COMM_LOCAL_WORLD, why have this argument?

### See Also

PetscHMPIMerge(), PetscHMPIMalloc()

Level:developer
Location:src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages